## grails.test
Class GrailsUnitTestCase

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              groovy.util.GroovyTestCase
                  grails.test.GrailsUnitTestCase

All Implemented Interfaces:
  groovy.lang.GroovyObject, junit.framework.Test

    public class GrailsUnitTestCase

extends groovy.util.GroovyTestCase
implements groovy.lang.GroovyObject

Field Summary

Fields inherited from class groovy.util.GroovyTestCase
`log, TEST_SCRIPT_NAME_PREFIX`

Constructor Summary
`GrailsUnitTestCase()`

Method Summary
`protected groovy.lang.MetaClass` `$getStaticMetaClass()`
`protected void` `addConverters(Class clazz)`
`protected void` `enableCascadingValidation()`
`Object` `getApplicationContext()`
`DefaultArtefactInfo` `getDomainClassesInfo()`
`Map` `getErrorsMap()`
`Object` `getLoadedCodecs()`
`groovy.lang.MetaClass` `getMetaClass()`
`Object` `getProperty(String property)`
`Map` `getSavedMetaClasses()`
`Object` `invokeMethod(String method, Object arguments)`
`protected void` `loadCodec(Class codecClass)`
`protected void` `mockConfig(String config)`
`protected void` `mockController(Class controllerClass)`
`protected void` `mockDomain(Class domainClass)`
`protected void` `mockDomain(Class domainClass, List instances)`
`protected GrailsMock` `mockFor(Class clazz)`
`protected GrailsMock` `mockFor(Class clazz, boolean loose)`
`protected void` `mockForConstraintsTests(Class clazz)`
`protected void` `mockForConstraintsTests(Class clazz, List instances)`
`protected void` `mockLogging(Class clazz)`
`protected void` `mockLogging(Class clazz, boolean enableDebug)`
`protected void` `mockTagLib(Class tagLibClass)`
`protected void` `registerMetaClass(Class clazz)`
`void` `setApplicationContext(Object value)`
`void` `setDomainClassesInfo(DefaultArtefactInfo value)`
`void` `setErrorsMap(Map value)`
`void` `setLoadedCodecs(Object value)`
`void` `setMetaClass(groovy.lang.MetaClass mc)`
`void` `setProperty(String property, Object value)`
`void` `setSavedMetaClasses(Map value)`
`protected void` `setUp()`
`protected void` `tearDown()`

Methods inherited from class groovy.util.GroovyTestCase
`assertArrayEquals, assertContains, assertContains, assertEquals, assertEquals, assertEquals, assertInspect, assertLength, assertLength, assertLength, assertScript, assertToString, fixEOLs, getMethodName, getName, getTestClassName, notYetImplemented, notYetImplemented, shouldFail, shouldFail, shouldFailWithCause`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, run, run, runBare, runTest, setName, toString`

Methods inherited from class junit.framework.Assert

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GrailsUnitTestCase

    public GrailsUnitTestCase()

Method Detail

### getLoadedCodecs

    public Object getLoadedCodecs()

### setLoadedCodecs

    public void setLoadedCodecs(Object value)

### getApplicationContext

    public Object getApplicationContext()

### setApplicationContext

    public void setApplicationContext(Object value)

### getSavedMetaClasses

    public Map getSavedMetaClasses()

### setSavedMetaClasses

    public void setSavedMetaClasses(Map value)

### getErrorsMap

    public Map getErrorsMap()

### setErrorsMap

    public void setErrorsMap(Map value)

### getDomainClassesInfo

    public DefaultArtefactInfo getDomainClassesInfo()

### setDomainClassesInfo

    public void setDomainClassesInfo(DefaultArtefactInfo value)

### setUp

    protected void setUp()

  Overrides:
    `setUp` in class `junit.framework.TestCase`

### tearDown

    protected void tearDown()

  Overrides:
    `tearDown` in class `junit.framework.TestCase`

### registerMetaClass

    protected void registerMetaClass(Class clazz)

### mockFor

    protected GrailsMock mockFor(Class clazz,
                                 boolean loose)

### mockForConstraintsTests

    protected void mockForConstraintsTests(Class clazz,
                                           List instances)

### mockDomain

    protected void mockDomain(Class domainClass,
                              List instances)

### enableCascadingValidation

    protected void enableCascadingValidation()

### mockController

    protected void mockController(Class controllerClass)

### mockTagLib

    protected void mockTagLib(Class tagLibClass)

### mockLogging

    protected void mockLogging(Class clazz,
                               boolean enableDebug)

### mockConfig

    protected void mockConfig(String config)

### loadCodec

    protected void loadCodec(Class codecClass)

### addConverters

    protected void addConverters(Class clazz)

### mockFor

    protected GrailsMock mockFor(Class clazz)

### mockForConstraintsTests

    protected void mockForConstraintsTests(Class clazz)

### mockDomain

    protected void mockDomain(Class domainClass)

### mockLogging

    protected void mockLogging(Class clazz)

### $getStaticMetaClass

    protected groovy.lang.MetaClass $getStaticMetaClass()

### getMetaClass

    public groovy.lang.MetaClass getMetaClass()

  Specified by:
    `getMetaClass` in interface `groovy.lang.GroovyObject`

### setMetaClass

    public void setMetaClass(groovy.lang.MetaClass mc)

  Specified by:
    `setMetaClass` in interface `groovy.lang.GroovyObject`

### invokeMethod

    public Object invokeMethod(String method,
                               Object arguments)

  Specified by:
    `invokeMethod` in interface `groovy.lang.GroovyObject`

### getProperty

    public Object getProperty(String property)

  Specified by:
    `getProperty` in interface `groovy.lang.GroovyObject`

### setProperty

    public void setProperty(String property,
                            Object value)

  Specified by:
    `setProperty` in interface `groovy.lang.GroovyObject`

Copyright (c) 2005-2009 The Grails project